# Get Account Transaction (deprecated)

Returns a specific transaction for a specific account, based on the provided account_id and transaction_id in question. Deprecated: Use Get Transaction instead.

Endpoint: GET /api/v1/jiko-accounts/{account_id}/transactions/{transaction_id}/
Version: Version: aec57205
Security: HTTPBearer

## Path parameters:

  - `account_id` (string, required)

  - `transaction_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)

  - `jiko_account_id` (string, required)

  - `amount` (object, required)

  - `amount.value` (integer, required)
    USD values are always in cents.

  - `amount.currency` (string, required)

  - `amount.formatted` (string)

  - `timestamp` (string, required)

  - `status` (string, required)
    Enum: "PENDING", "COMPLETED"

  - `details` (object, required)

  - `details.transaction_type` (string, required)
    Enum: "CARD", "CASH_BACK", "ACH", "WIRE", "WIRE_FEE", "GENERIC", "ON_US"

  - `details.title` (any)

  - `details.sub_title` (any)

  - `details.transaction_type_title` (any)

  - `details.card_transaction` (any)
    - `location` (any)
      - `street_address` (string, required)
      - `city` (string, required)
      - `state` (any)
      - `country` (string, required)
    - `counterparty` (any)
    - `terminal_id` (any)
    - `merchant_type` (any)
    - `pre_authorization` (boolean, required)
    - `issue_id` (any)

  - `details.ach_transaction` (any)
    - `company_name` (string, required)
    - `company_entry_description` (any)
    - `individual_identification_number` (any)
    - `trace_number` (any)
    - `ach_id` (any)
      The ID of the transfer object associated with this transaction. This field will be not be populated for originations before July 2024.
    - `ach_direction` (string, required)
      Enum: "RECEIVING", "ORIGINATION"
    - `portal_id` (any)
      The ID of the portal used to receive this ACH transfer.

  - `details.wire_transaction` (any)
    - `reference_number` (string, required)
    - `counterparty_name` (string, required)
    - `wire_id` (any)

  - `details.wire_fee_transaction` (any)
    - `reference_number` (string, required)
    - `counterparty_name` (string, required)
    - `wire_id` (any)

  - `details.cash_back_transaction` (any)
    - `period` (string, required)
      Which period the cash back was calculated for, in YYYY-MM format.
    - `card_id` (string, required)

  - `details.on_us_transaction` (any)
    - `on_us_transfer_id` (string, required)
    - `on_us_transfer_type` (string, required)
    - `counterparty` (any)
    - `source` (any)
    - `target` (any)

  - `object_type` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


## Response 404 fields
